Athlete Merge

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Athlete Merge endpoint merges athlete's results from differing profiles. This method is used when duplicate profiles exist for a single athlete this method merges all results into a single profile.

The parameters from_id and to_id are required and represent the athlete ids that are to be merged. The from_id athlete's results will be merged into the to_id athletes's results. After the merge the from_id will not have any results attached and can be deleted using the corresponding method call.

The following example merges athlete_id 1234 with athlete_id 5678. After the merge all results will be in athlete 5678's profile.

curl --header "apikey: [[app:key]]" --data "from_id=1234&to_id=5678" https://api.triathlon.org/v1/athletes/merge
Body Params
int32
required

The unique id of the athlete whose profile is being merged from

int32
required

The unique id of the athlete whose profile is being merged to

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json